Skip to main content
PATCH
cURL
Updated:You can now update the ambient session context with new EMR context and Medication orders. Read more in Medication orders.
Use this endpoint to update the for an . The API applies a field mask so you can send only the parts of the context you want to change. This is a PATCH operation that allows partial updates to the session context.
  • Use PATCH when updating context for an existing Ambient session and POST when adding session context through the seed flow. For guidance on choosing the right operation in your UI, see Update ambient session context.
For guidance on what to include and exclude when seeding session context, refer to Seed ambient session context guide.

Comparison with POST Context

Authorizations

sdp_suki_token
string
header
required

Suki access token (suki_token) from Login or Register. Expires after one hour.

Headers

sdp_provider_id
string

Optional for standard partners.

Required for:

  • Bearer authentication. Use the same provider_id returned by the Login or Register API.
  • Single Auth Token authentication. Include the same provider_id on every request as sdp_provider_id.
Example:

"provider-123"

Path Parameters

ambient_session_id
string
required

UUID for the ambient session. Use the ambient_session_id returned from Create Ambient Session, or the UUID you supplied in that request.

Body

application/json

Partial ambient session context update. Include only the fields you want to add or change.

diagnoses
object

Optional - Diagnoses to add or update.

emr
object

Optional - EMR context to add or update.

orders
object

Optional - Medication orders to add or update.

patient
object

Optional - Patient demographics to add or update.

provider
object

Optional - Provider details to add or update.

sections
object[]

Optional - Information about the sections to be generated. If not provided, all supported note-sections will be generated.

visit
object

Optional - Visit details to add or update.

Response

Request succeeded.

Updated ambient session context after a successful PATCH.

context
object

Updated context for the session

Last modified on August 20, 2026